html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

body{
    background-color: #F7F2EE;
}

main {
    flex: 1; /* pushes footer down */
}

/* Footer */
footer {
    color: #f9f9f9;
    padding: 20px;
    text-align: center;
    font-size: 0.9rem;
    margin-top: auto;
    border-top: 2px solid #BEBEBC;
}


/*navbar*/
header{
    padding:2% 2% 5% 2%;
    & .container {
        & .dropdown {
            & button {
                background-color:#F7F2EE;
                color:#0A2942;
            }
            & .dropdown-menu {
                background-color:#F7F2EE;
                & a:hover {
                    background-color:#0A2942;
                    color:white;
                }
                & #logout-drop-btn:hover {
                    background-color:red;
                    color:white;
                }
            }
        }
    }
}
#a-log , #a-sign {
    color:#F7F2EE;
    text-decoration: none;
    border:1px solid #fff066;
    padding:10px;
    border-radius:20px;
    &:hover {
        background-color: #fff066;
        color:black;
    }
}
.col-6{
    padding:5px;
}
button {
    border-radius:5px;
    background-color:transparent;
    color:white;
    border:none;
    &:hover {
        color:#fff066;
    }
}
select {
    width: 70%;
    padding: 2px;
    border: none;
    border-radius: 4px;
    background-color: transparent;
    color:white;

    /* Remove default browser styling */
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    &:hover{
        color:#fff066;
    }
    &:focus {
        background-color: #0A2942;
        color:white;
        outline: none;
        border:none;
        box-shadow: none;
        border-radius:5px;
    }
}

#links {
    display: flex;
    gap: 20px; /* space between links */
    justify-content: center;
    align-items: center;
}
#links a {
    color:#F7F2EE;
    text-decoration: none;
    border:1px solid #fff066;
    padding:20px;
    border-radius:30px;
    &:hover {
        background-color: #fff066;
        color:black;
    }
}
#logo{
    border-radius:15px;
}
